<?php include('partie1_admin.php');?>
<div id="coverer" align="center">

<?php
include ('connexion_mysql.php');

/* debut Supprimer news  */

if (isset($_GET['supprimer_news']) && isset($_GET['mark'])) 
{
	if($tabl="grpe_article")
	{$id="id_grpe";}

elseif($tabl="type_article"){$id="id_type";}

$_GET['supprimer_news'] = addslashes($_GET['supprimer_news']);
$tabl = addslashes($_GET['mark']);
$dele='DELETE FROM '.$tabl.' WHERE '.$id.'=\'' .
$_GET['supprimer_news'] . '\'';
$res = $conn->query($dele);

			
echo '<script type="text/javascript"> window.setTimeout("location=(\'liste_article.php?mark='.$tabl.'\');");</script>';

}

/* FIN Supprimer news  */


/* debut insertion dans groupe  */
elseif (isset($_POST['envoyer'])) 
{

if($_POST['tabl'] == "grpe_article")
{	
$tabl = addslashes($_POST['tabl']);
$libelle = addslashes($_POST['libelle']);
$date = addslashes($_POST['date']);

if ($_POST['id_news'] == 0)

{
include('connexion_mysql.php');

$insert="INSERT INTO grpe_article(id_grpe,grpe,libelle_grpe,date) VALUES(NULL,'" . $libelle . "','" . $libelle . "','" . $date . "')";


$res = $conn->query($insert);


echo '<script type="text/javascript"> window.setTimeout("location=(\'liste_article.php?mark='.$tabl.'\');");</script>';



}

/* fin insertion dans grpe  */

/* debut modification grpe  */

else
{
// On protège la variable "id_news" pour éviter une faille
$id_news = addslashes($_POST['id_news']);
// C'est une modification, on met juste à jour le titre etle contenu.
$upda="UPDATE $tabl SET libelle_grpe='" . $libelle . "',date='" . $date . "'  WHERE id_grpe='".$id_news."'";
$res = $conn->query($upda);
				
echo '<script type="text/javascript"> window.setTimeout("location=(\'liste_article.php?mark='.$tabl.'\');");</script>';


}

/* fin modification grpe  */

}

/* Fin grpe   */



elseif (isset($_POST['envoyer'])) 
{

if($_POST['tabl'] == "type_article")
{



$tabl = addslashes($_POST['tabl']);
$id_grpe = addslashes($_POST['grpe_article']);
$libelle = addslashes($_POST['libelle']);
$date = addslashes($_POST['date']);

if ($_POST['id_news'] == 0)
{
include('connexion_mysql.php');

	// Ce n'est pas une modification, on crée une nouvelle entrée dans la table.	
$insert="INSERT INTO $tabl (id_type,libelle_type,type,id_grpe,date) VALUES(NULL,'" . $libelle . "','" . $libelle . "','" . $id_grpe . "','" . $date . "')";
$res = $conn->query($insert);


echo '<script type="text/javascript"> window.setTimeout("location=(\'liste_article.php?mark='.$tabl.'\');");</script>';


}
else
{
// On protège la variable "id_news" pour éviter une faille
$_POST['id_news'] = addslashes($_POST['id_news']);
// C'est une modification, on met juste à jour le titre etle contenu.
$upda="UPDATE $tabl SET libelle_type='" . $libelle . "',date='" . $date . "',id_grpe='" . $id_grpe . "'   WHERE id_type='".$_POST['id_news']."'";
$res = $conn->query($upda);


echo '<script type="text/javascript"> window.setTimeout("location=(\'liste_article.php?mark='.$tabl.'\');");</script>';


}
}

/* Fin type   */









}



}


//--------------------------------------------------------
// Vérification 2 : est-ce qu'on veut supprimer une news ?
//--------------------------------------------------------
?>



<?php include('partie3_admin.php'); ?>